Review and deploy TimedMediaHandler extension (timed media handler) to Wikimedia wikis
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Blocks
T42193: Support for Opus audio format
T27269: Add support to embed commons videos in wikimedia blogs
T26988: Add ogg Index to all ogg files
T32112: MediaWiki needs moar NyanCat
T41869: Enable MP4/H.264 transcode target support on Wikimedia's TimedMediaHandler setup
T4007: Tracking bug (tracking)
T32347: Automatic creation of low bitrate/resolution video file versions
T29450: Directionality of video subtitles should match the directionality of the subtitle language
T32653: Enable Matroska and WebM containers on Wikimedia sites
Blocked By
T43826: Disable TimedText namespace where not relevant
T42070: Please make Cortado path configurable
T43528: Thumbnails not displayed for local videos on test2wiki
T40455: wikimedia-job-runner should be able to run a specific job type
T31291: The transcode status table is added regardless of whether or not you have a transcoder installed
T31184: Mysterious failure in 720p WebM transcode
T31185: Spinner overlay shown during video initialization looks bad on dark backgrounds (TimedMediaHandler)
T31181: "480P" transcode of 16:9 video actually sized to 640x360 in TimedMediaHandler
T31182: Video thumbs not centered in gallery, Special:NewFiles with TimedMediaHandler
T31180: TimedMediaHandler does not document required versions of ffmpeg, ffmpeg2theora
T31179: TimedMediaHandler: uploading a new version of a video file does not trigger new transcodes
T31176: Show transcode status (progress, success, errors) on File: pages for TimedMediaHandler
T31178: Need way to re-run failed transcodes after some manual intervention
T31177: TimedMediaHandler / MwEmbedSupport's extension setup files define, execute functions
T31175: Record progress, success/failure state of transcodes in DB for TimedMediaHandler
T39470: write a job loop to handle webVideoTranscode jobs
T29336: Job queue should support exclusion of some jobs from general pop() job
T30840: Loader broken in IE because mediawiki thinks the periods in module names is a security leak (spoof extension)
T29641: purgeThumbnails should support exclusion of expensive files
Subscribers
Snaevar, brion, Krenair and 13 others
Projects
Tokens
"Like" token, awarded by Kozuch.
Reference
bz27699
Description

Author: mdale

Description:
A tracking bug to tag trunk dependency bugs. Timed media handler still needs to be reviewed, refined, some resource loader patches remain to be written, etc.

A live prototype install is available at:
http://prototype.wikimedia.org/timedmedia/Main_Page

That prototype page will reflect the most recent version of the extension.

I include an initial patch to trunk on this bug so people can get TMH running locally.


Version: unspecified
Severity: enhancement
URL: http://prototype.wikimedia.org/timedmedia/Main_Page

bzimport set Reference to bz27699.
bzimport created this task.Via LegacyFeb 25 2011, 4:21 AM
bzimport added a comment.Via ConduitFeb 25 2011, 5:30 AM

mdale wrote:

*** Bug 23888 has been marked as a duplicate of this bug. ***

Krinkle added a comment.Via ConduitMar 25 2011, 1:40 AM

Where's the patch ?

bzimport added a comment.Via ConduitMar 25 2011, 4:51 PM

mdale wrote:

Krinkle its an extension not a patch.

I am presently working through the first review pass by Roan here: http://www.mediawiki.org/wiki/User:Catrope/Extension_review/TimedMediaHandler

Krinkle added a comment.Via ConduitApr 7 2011, 11:48 AM

(In reply to comment #3)

(In reply to comment #2)

Where's the patch ?

Krinkle its an extension not a patch.

I am presently working through the first review pass by Roan here:
http://www.mediawiki.org/wiki/User:Catrope/Extension_review/TimedMediaHandler

That much I know, I was referring to this "patch":

I include an initial patch to trunk on this bug so people
can get TMH running locally.

Or is that no longer needed and part of the extension ?

bzimport added a comment.Via ConduitApr 7 2011, 11:00 PM

mdale wrote:

(In reply to comment #4)

Or is that no longer needed and part of the extension ?

Yes the associated dependent patches ( 27336, 27641 ) have been applied to trunk

brion added a comment.Via ConduitMay 27 2011, 10:58 PM

Added the raw extension name to bug title so it's easier to find. :)

siebrand added a comment.Via ConduitJun 19 2011, 8:27 AM

Changing to Wikimedia.

bzimport added a comment.Via ConduitJul 8 2011, 5:45 PM

mdale wrote:

Brion did you get a chance to review the associated closed bugs that you reported? Feel free to re-open anything that is still not resolved.

brion added a comment.Via ConduitNov 29 2011, 10:03 PM
  • Bug 7433 has been marked as a duplicate of this bug. ***
MZMcBride added a comment.Via ConduitJul 5 2012, 5:01 AM

What's the status of this bug?

Kozuch added a comment.Via ConduitJul 20 2012, 7:02 PM

(In reply to comment #10)

What's the status of this bug?

This is a normal prodedure in Wikimedia... just do nothing... over years.

bzimport added a comment.Via ConduitJul 20 2012, 7:07 PM

sumanah wrote:

Argh, sorry I missed the "what's the status of this bug?" question a few weeks ago

TMH has been reviewed by Ian Baker and NeilK extensively, with lots of changes made by Michael Dale. Review notes and Michael's follow-up at https://www.mediawiki.org/wiki/TimedMediaHandler/ReviewNotes . It's currently being tested by Chris McMahon and was also tested partially by Tauhida Parveen, including transcoding support, at http://commons.wikimedia.beta.wmflabs.org/wiki/File:Electric_sheep.webm . Progress on deploying TMH is dependent on robustness of Wikimedia Labs; Labs as a robust environment, suitable for testing, is improving as Antoine Musso works on it.

CC'ing Chris and Antoine so they can possibly give further updates.

bzimport added a comment.Via ConduitJul 25 2012, 6:03 PM

sumanah wrote:

Jan Gerber is currently working on TMH and we should have more news next week.

bzimport added a comment.Via ConduitAug 17 2012, 8:00 PM

sumanah wrote:

Update from Chris McMahon: http://www.gossamer-threads.com/lists/wiki/wikitech/289186 "First, the TimedMediaHandler extension that we've been testing in the beta commons wiki for quite some time has moved off of the the beta cluster and is now being installed on test2wiki in preparation for a production deployment."

https://test2.wikipedia.org/wiki/Special:Version - yes, TMH is installed there. :-) https://www.mediawiki.org/wiki/Extension:TimedMediaHandler/TestPlan is the test plan so you can help by using those ideas to try to break it. :-)

Kozuch added a comment.Via ConduitAug 28 2012, 11:15 AM

So this bug will be fixed soon? All dependencies have been cleared so far...

bzimport added a comment.Via ConduitAug 30 2012, 5:34 PM

sumanah wrote:

Asking Chris Steipp to mark any outstanding (or fixed) blocker issues.

csteipp added a comment.Via ConduitSep 7 2012, 11:50 PM

Sorry for the slow response. My concerns were:

  • Someone needs to make sure the 3rd party pieces are updated-- Michael Dale indicated he would do that
  • It would be good to deploy apparmor confining for the transcoders. I'll add a bug for that, but not a blocker, since we don't confine any of our media processing currently.
  • Jan addressed my concerns about iframing, so it's no longer an issue.
bzimport added a comment.Via ConduitSep 19 2012, 2:46 PM

sumanah wrote:

Assigning to Michael Dale since it sounds like he's in charge of the only blocker (making sure that the 3rd party pieces are updated). Thanks.

csteipp added a comment.Via ConduitSep 19 2012, 8:59 PM

Oh, and just to clarify: Michael updated everything in July, and said he would take on making sure they stay up to date. So, if the upstreams haven't been updated since July, then I think we're ready to go. Maybe Michael can confirm?

bzimport added a comment.Via ConduitSep 20 2012, 2:16 AM

mdale wrote:

We are in sync with:

  • Kaltura HTML 1.7 -- latest major release
  • getid3: We are running version 1.9.3-20111213 which is the latest release: http://www.getid3.org/
csteipp added a comment.Via ConduitSep 20 2012, 5:21 PM

(In reply to comment #20)

We are in sync with:

  • Kaltura HTML 1.7 -- latest major release
  • getid3: We are running version 1.9.3-20111213 which is the latest release: http://www.getid3.org/

Great, I think it's ready to deploy then

bzimport added a comment.Via ConduitSep 20 2012, 5:37 PM

mdale wrote:

Its running on test2: http://test2.wikipedia.org/wiki/Special:Version

Been attempting to follow up with other folks per some minor updates, image scallers and the next wiki to deploy it on.

MZMcBride added a comment.Via ConduitOct 12 2012, 12:05 AM

Okay, now that test2.wikipedia.org is live, can we add mediawiki.org and test.wikipedia.org? These wikis are the usual guinea pigs (cf. https://www.mediawiki.org/wiki/MediaWiki_1.21/Roadmap#Schedule_for_the_deployments).

Ragesoss added a comment.Via ConduitOct 21 2012, 3:57 AM

Yes yes yes! Looks like this did get deployed to test.wikipedia.org (at least, I assume so because .webm and the Kaltura player are working).

Once 1.21wmf2 deploys on production wikis, does that mean .webm will be allowed on Commons and through the UploadWizard? Is there any sort of fanfare planned, like a blog post, or some documentation on best practices for videos now that we can do webm and (I'm assuming) closed captioning will be working again?

Krenair added a comment.Via ConduitOct 21 2012, 1:06 PM

No, it's only enabled on testwiki and test2wiki currently. It's not connected to the version of MediaWiki deployed on the site. 1.21wmf2 is already deployed on all non-wikipedia sites.

Ragesoss added a comment.Via ConduitOct 21 2012, 1:52 PM

Okay, so what's the deployment plan for this? Is there anything stopping this from moving to production sites?

@Michael Dale, I'm sure Guillaume and/or the communications team with preparing some fanfare. :)

bzimport added a comment.Via ConduitOct 22 2012, 9:00 AM

jgerber wrote:

Currently one blocker is the transition of the imagescalers to precise, all required packages are in place but the update has not been done so far.

The other part, not blocking for enabling on more wikis, is transcoding, the videoscalers are in place but some changes need to be reviewed and merged before they can be used. (https://gerrit.wikimedia.org/r/#/c/28208/)

bzimport added a comment.Via ConduitOct 24 2012, 2:37 AM

sumanah wrote:

Gerrit change 28208 has now been merged (thanks, Faidon!), so I believe the last blocker is the upgrade on the imagescalers to Precise Pangolin.

bzimport added a comment.Via ConduitOct 24 2012, 5:42 PM

sumanah wrote:

The imagescaler OS upgrade is tracked in RT ticket 3210.

bzimport added a comment.Via ConduitOct 24 2012, 6:17 PM

sumanah wrote:

Peter's email "[Wikitech-l] All wmf imagescalers now running ubuntu 12.04 precise" clears up that blocker: http://lists.wikimedia.org/pipermail/wikitech-l/2012-October/064019.html We'll watch the imagescalers for issues for probably the rest of this week before declaring that we can go forward with the TMH deployment.

RobLa-WMF added a comment.Via ConduitOct 30 2012, 6:33 AM

Adding bug 41528 as a blocker, which looks like it was introduced as part of a fix to a different thumbnailing problem.

Billinghurst added a comment.Via ConduitNov 18 2012, 2:29 AM

This seems deployed, am I missing something?

Aklapper added a comment.Via ConduitNov 20 2012, 1:48 PM

Done.

Kozuch awarded a token.Via WebDec 17 2014, 8:04 PM

Add Comment